Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.scxml.model
Class Param

    java.lang.Object
      org.apache.commons.scxml.model.Param

All Implemented Interfaces:
  NamespacePrefixesHolder, Serializable

public class Param
extends Object
implements NamespacePrefixesHolder, Serializable

The class in this SCXML object model that corresponds to the <param> SCXML element.

See Also:
  Serialized Form

Constructor Summary
`Param()` Default no-args constructor for Digester.

Method Summary
`String` | `getExpr()` Get the expression for this param value.
`String` | `getName()` Get the name for this param.
`Map` | `getNamespaces()` Get the XML namespaces at this action node in the SCXML document.
`void` | `setExpr(String expr)` Set the expression for this param value.
`void` | `setName(String name)` Set the name for this param.
`void` | `setNamespaces(Map namespaces)` Set the XML namespaces at this action node in the SCXML document.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Param

    public Param()

  Default no-args constructor for Digester.

Method Detail

### getName

    public final String getName()

  Get the name for this param.

  Returns:
    String The param name.

### setName

    public final void setName(String name)

  Set the name for this param.

  Parameters:
    `name` - The param name.

### getExpr

    public final String getExpr()

  Get the expression for this param value.

  Returns:
    String The expression for this param value.

### setExpr

    public final void setExpr(String expr)

  Set the expression for this param value.

  Parameters:
    `expr` - The expression for this param value.

### getNamespaces

    public final Map getNamespaces()

  Get the XML namespaces at this action node in the SCXML document.

  Specified by:
    `getNamespaces` in interface `NamespacePrefixesHolder`
  Returns:
    Returns the map of namespaces.

### setNamespaces

    public final void setNamespaces(Map namespaces)

  Set the XML namespaces at this action node in the SCXML document.

  Specified by:
    `setNamespaces` in interface `NamespacePrefixesHolder`
  Parameters:
    `namespaces` - The document namespaces.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2006 The Apache Software Foundation. All Rights Reserved.